
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(NachrichtPageMenu.COMPONENT_NAME)
public class NachrichtPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nachrichtPageMenu";

  @Inject
  private transient NachrichtSearchMenuItemEntry nachrichtSearchMenuItemEntry;

  @Inject
  private transient NachrichtCreateMenuItemEntry nachrichtCreateMenuItemEntry;

  public NachrichtPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(nachrichtSearchMenuItemEntry);
    result.add(nachrichtCreateMenuItemEntry);

    return result;
  }
}
